gamestates = require "gamestates"
font = love.graphics.newFont("fonts/AveriaSerif-Regular.ttf", 15)
love.graphics.setFont(font)

function love.load()   
   love.window.setFullscreen(true)
   gamestates.set_state( "home" )
end
 
function love.update( dt )
   gamestates.state_event( "update", dt )
end
 
function love.draw()
   gamestates.state_event( "draw" )
end

function love.keyreleased( key, code )
   gamestates.state_event( "keyreleased", key, code )
end

function love.quit()
  print("Thanks for playing! Come back soon!")
end