sounds = require "sounds"
tiles = require "tiles"
path = require "path"
fov = require("helpers/ppfov")
effects = require "effects"
levels = require "levels"
local rooms = require "rooms"
sprites = require "sprites"
cells = require "cells"
player = require "player"
actions = require "actions"
skills = require "skills"
map = require "map"
sheet = require "sheet"
transition = require "transition"

local game = {}

function game.load( prev_state, ... )
end

function game.enter( prev_state, ... )
   local args = ...
   if args and args.current_room then
     actions.startlevel(args.loadgame)
   end 
end

function game.update( dt )
   --local room = rooms.require_current_room(levels.current_level)
   tiles.update(dt)
   actions.update(dt)
   interface.update(dt)
end

function game.draw()
   tiles.tile_clicked = actions.tile_clicked
   tiles.tile_overed = actions.tile_overed
   tiles.tile_framed = actions.tile_framed
   tiles.door_overed = actions.door_overed
   tiles.draw()
   interface.draw()
   helper.draw()
end

function game.keyreleased( key, code )
   if key == 'c' then
      elseif  key == 'escape' then
   end    
end

return game
