local lang = {
	langs = {
		fr = {
			text = 'Français'
		},		
		en = {
			text = 'English'
		}
	},
	fr = {
		menu_play = "Nouvelle partie",
		menu_load = "Continuer la partie",
		menu_options = "Options",
		menu_credits = "Crédits",
		menu_quit = "Quitter",
		menu_continue = "Continuer",
		menu_restart = "Recommencer",
		menu_quitlevel = "Quitter",
		menu_quitgame = "Quitter",
		menu_cancel = "Annuler",
		menu_confirm = "Confirmer",	
		menu_back = "Retour",		
		menutitle_quitgame="Quitter le jeu ?",
		menutitle_quitlevel="Quitter le niveau ? Toute progression non sauvegardée sera perdue.",
		menutitle_language="Langue",
		menutitle_options="Options du jeu",
		menutitle_credits="Programmation, graphismes et musique :\r\nThierry Poveda\r\n\r\nTous les personnages sont tirés des modèles 3D de Miguel Zavala\r\n(alias mz4250 sur patreon.com)\r\n\r\nPolice Averia par Dan Sayers\r\nPolice BuryCaps par Peter S. Baker\r\n\r\nTous les sons proviennent de freesound.org",
		menutitle_sound="Son",
		menutitle_sound_volume="Effets",
		menutitle_music_volume="Musiques",
		menutitle_brightness="Luminosité",
		interface_title_spells="Sorts",
		interface_title_equipment="Equipement",
		msg_ennemykilled = "Ennemi tué",
		msg_ennemywounded = "Ennemi -1",
		msg_playerdead = "Vous êtes mort",
		msg_playerwounded = "Vous êtes blessé -1",
		msg_woundabsorbed = "Blessure absorbée !",
		msg_attackdodged = "Attaque esquivée !",
		msg_missed = "Raté !",
		msg_poisoned = "Vous êtes empoisonné !",
		msg_levelfinished="Niveau terminé !!!",
		msg_fountainempty = "La fontaine est vide",
		msg_healthfull = "Votre santé est au maximum",
		msg_manafull = "Votre mana est au maximum",
		msg_lockblocked = "Impossible à crocheter",
		msg_trapdeactivated = "Piège désactivé",
		msg_trapblocked = "Impossible à désactiver",
		msg_casterror = "Impossible de lancer le sort",
		msg_healthtoolow = "Santé insuffisante",
		msg_notenoughmana = "Mana insuffisante",
		msg_teleport_failed = "Téléportation impossible",
		msg_poison_cured = "Effet des poisons éliminé",
		msg_nopoison = "Vous n'êtes pas empoisonné",
		card_zoom = "Agrandir",
		card_equip = "Prendre",
		card_use= "Utiliser",
		card_drop = "Laisser",
		spell_cancel = "Annuler",
		spell_cast = "Lancer",
		card_title_health="Potion de vie",
		card_desc_health="Augmente votre score de santé de 1 cœur",
		card_title_combat="Potion de force",
		card_desc_combat="Augmente votre score de combat de 1 point",
		card_title_mana="Potion de mana",
		card_desc_mana="Augmente votre score de mana de 1 point",
		card_title_speed="Potion de vitesse",
		card_desc_speed="Augmente vos déplacements de 2 points",
		card_title_greenorb="Orbe vert",
		card_desc_orb="Sert à déclencher des mécanismes. Déplacement -1",
		card_title_sword="Epée de qualité",
		card_desc_sword="Augmente votre score de combat de 1",
		card_title_speedboots="Bottes de vitesse",
		card_desc_speedboots="Augmente vos déplacements de 1 point",
		card_title_scroll="Parchemin",
		card_desc_scroll_ATTACK="Foudre\r\nPermet d'infliger des dégâts à distance à une créature",
		card_desc_scroll_TELEPORTATION="Téléportation\r\nPermet de vous téléporter à un point de votre choix",
		card_desc_scroll_OPENING="Ouverture de porte\r\nPermet d'ouvrir une porte sans avoir la clé correspondante. Le sort peut être lancé à distance.",
		card_desc_scroll_TRAPDETECTION="Détection des pièges\r\nVous permet de repérer l'emplacement des pièges.",
		card_title_torch="Torche",
		card_desc_torch="Améliore votre vision",
		card_title_antidote="Antidote",
		card_desc_antidote="Elimine les effets de tous les poisons.",
		card_skill_select="Choisir",
		word_gold = "or",
		word_chestkey = "clé de coffre",
		word_cellkey = "clé de porte",
		word_health = "santé",
		word_mana = "mana",
		word_combat = "combat",
		word_speed = "mouvement",
		word_stealth = "furtivité",
		word_robustness = "robustesse",
		hint_level1_pit = "Les portes des cellules peuvent être ouvertes avec une clé de fer.",
		hint_level2_chest="Les coffres peuvent être ouverts avec une clé en or",
		hint_level2_health="Les fontaines de santé permettent de récupérer des points de vie",
		hint_level2_mana="Les fontaines de magie permettent de récupérer des points de mana",
		hint_level2_mechanism="Des mécanismes peuvent être déclenchés en y plaçant un ou plusieurs orbes",
		hint_level2_exit="Une porte secrète a été ouverte ! Utilisez la boussole pour la retrouver.",
		hint_level3_mechanism = "Trouvez 3 orbes pour activer le mécanisme.",
		hint_level3_boss = "Le troll est arrivé dans le donjon ! Trouvez-le et détruisez-le.",
		hint_level5_exit="Trouvez la sortie",
		level_nextlevel = "Niveau suivant",
		level_startlevel = "Commencer",
		level_text_1 = "En des temps anciens, dans une contrée calme et lointaine,\r\nla disparition répétée de jeunes gens\r\nsuscite l'inquiétude et la colère.\r\nDans le pays, des superstitions ressurgissent,\r\net de sinistres créatures du passé\r\nreprennent vie dans les esprits troublés.\r\nC'est à vous qu'il revient de lever le voile.\r\nLes rumeurs vous portent dans un hameau abandonné,\r\nque les anciens disent maudit.\r\nC'est ici que votre aventure commence.",
		level_text_2 = "Vous vous engouffrez dans le boyau obscur,\r\nplongeant dans les ténèbres.\r\nAgrippé à l'échelle chancelante,\r\nvous sentez le froid et une odeur putride\r\nvous imprégner au cours de votre descente.\r\nAlors que vous arrivez à portée du sol,\r\nd'inquiétants grognements parviennent à vos oreilles.",
		level_text_3 = "Le maître des lieux est une créature\r\nautrefois connue sous le nom de troll.\r\nNul doute qu'elle est coupable des faits\r\nqui vous amènent en ces lieux sombres.\r\nPassé l'imposant portail antique,\r\nVous vous lancez à sa recherche.",
		level_text_4 = "Les prisonniers ont été conduits dans le désert,\r\npromis à l'on ne sait quel funeste destin.\r\nVous distinguez dans la nuit une massive citadelle\r\naux imposants contours fortifiés.\r\nElle semble totalement abandonnée,\r\nmais alors que vous pénétrez dans son enceinte,\r\nde sinistres sifflements vous alarment.",
		level_text_5 = "Alors que vous entrez dans l'édifice,\r\nvous êtes surpris par l'opulence des lieux.\r\nCet ancien temple aux façades ocres\r\nsemble voué à un dieu oublié.\r\nAu loin, les échos d'une activité malsaine\r\nvous enjoignent à la méfiance.",
		level_start_1 = "Explorez les ruines",
		level_start_2 = "Explorez le donjon",		
		level_start_3 = "Trouvez le chef troll",			
		level_start_4 = "Explorez la citadelle",			
		level_start_5 = "Explorez le temple",
		level_end_1 = "Félicitations, vous avez trouvé un passage vers le niveau inférieur.",
		level_end_2 = "Félicitations, vous avez trouvé une sortie vers le niveau suivant.",
		level_end_3 = "Vous avez tué le troll ! Rendez-vous dans le désert",
		level_end_4 = "Vous avez trouvé un passage vers les profondeurs",
		level_end_5 = "Félicitations, vous avez terminé la démo",
		level_title_1 = "I-I Le village abandonné",
		level_title_2 = "I-II Dans le donjon",
		level_title_3 = "I-III L'antre du troll",
		level_title_4 = "II-I La forteresse oubliée",
		level_title_5 = "II-II Le temple de la peur",
		level_endgame = "Félicitations, vous avez terminé le jeu.",			
		skill_STRENGTH = "La force",
		skill_GUILE = "La ruse",
		skill_WISDOM = "La sagesse",
		skill_desc_STRENGTH = "Augmente votre score de combat\r\n+1 combat",
		skill_desc_GUILE = "Améliore votre furtivité\r\n+1 furtivité",
		skill_desc_WISDOM = "Permet d'utiliser la magie\r\n+1 mana",
		skill_CONSTITUTION = "Constitution",
		skill_AGILITY = "Agilité",
		skill_MENTAL = "Mental",
		skill_desc_CONSTITUTION = "Ajoute un point de santé",
		skill_desc_AGILITY = "Ajoute un point de mouvement",
		skill_desc_MENTAL = "Ajoute un point de vision",
		skill_MELEE = "Mélée",
		skill_ROBUSTNESS = "Robustesse",
		skill_CHARGE = "Charge",
		skill_SUPPLENESS = "Souplesse",
		skill_DODGE_SA = "Esquive",
		skill_AMBIDEXTROUS = "Ambidextre",
		skill_PAINCONTROL = "Analgognosie",
		skill_TACTICS = "Tactique",
		skill_ASSASSINATION = "Assassinat",
		skill_VIGILANCE = "Vigilance",
		skill_BACKPACKER = "Bourlingueur",
		skill_LOCKPICKING = "Crochetage",
		skill_DODGE_GA = "Esquive",
		skill_TRAPDETECTION = "Détection des pièges",
		skill_TRAPDEACTIVATION = "Désactivation des pièges",
		skill_HEALTHREGENERATION = "Régénération santé",
		skill_DODGE_WA = "Esquive",
		skill_MANAREGENERATION = "Régénération mana",
		skill_MECHANICS = "Mécanique",
		skill_desc_MELEE = "Améliore votre capacité à vous défendre contre un adversaire en surnombre",
		skill_desc_ROBUSTNESS = "Vous donne une chance de ne pas être blessé lors d'une attaque réussie de l'ennemi",
		skill_desc_CHARGE = "Augmente vos chances de toucher l'adversaire lorsque vous l'attaquez au terme d'un déplacement",
		skill_desc_SUPPLENESS = "Améliore votre défense contre les attaques par derrière",
		skill_desc_DODGE_SA = "Améliore vos chances d'éviter les coups lors d'un combat",
		skill_desc_AMBIDEXTROUS = "Vous permet de bénéficier des bonus liés à deux armes",
		skill_desc_PAINCONTROL = "Annule le malus au combat lorsque vous être gravement blessé",
		skill_desc_TACTICS = "Améliore vos capacités de mélée et d'assassinat",
		skill_desc_ASSASSINATION = "Augmente votre bonus lors des attaques par derrière",
		skill_desc_VIGILANCE = "Améliore votre défense contre les attaques par derrière",
		skill_desc_BACKPACKER = "Vous permet de porter un objet supplémentaire",
		skill_desc_LOCKPICKING = "Vous permet de tenter d'ouvrir des portes ou des coffres sans avoir la clé correspondante",
		skill_desc_DODGE_GA = "Améliore vos chances d'éviter les coups lors d'un combat",
		skill_desc_TRAPDETECTION = "Vous permet de repérer l'emplacement des pièges",
		skill_desc_TRAPDEACTIVATION = "Vous permet de neutraliser les pièges",
		skill_desc_HEALTHREGENERATION = "Vous permet de récupérer un point de santé au bout d'un certain nombre de tours",
		skill_desc_DODGE_WA = "Améliore vos chances d'éviter les coups lors d'un combat",
		skill_desc_MANAREGENERATION = "Vous permet de récupérer un point de mana au bout d'un certain nombre de tours",
		skill_desc_MECHANICS = "Améliore vos capacités de crochetage et de désactivation des pièges",
		spell_HEALING = "Guérison",
		spell_ARMOR = "Carapace",
		spell_SPEED = "Vitesse",
		spell_INVISIBILITY = "Invisibilité",
		spell_TELEPORTATION = "Téléportation",
		spell_SACRIFICE = "Sacrifice",
		spell_ATTACK = "Foudre",
		spell_COMBAT = "Combat",
		spell_OPENING = "Ouverture de porte",
		spell_TRAPDETECTION = "Détection des pièges",
		spell_desc_HEALING = "Permet de récupérer un point de santé",
		spell_desc_ARMOR = "Améliore temporairement votre robustesse, vous donnant une chance d'absorber les coups adverses.",
		spell_desc_SPEED = "Améliore temporairement votre score de vitesse",
		spell_desc_INVISIBILITY = "Vous rend temporairement invisible aux ennemis",
		spell_desc_TELEPORTATION = "Permet de vous téléporter à un point de votre choix",
		spell_desc_SACRIFICE = "Permet de récupérer un point de mana en échange d'un point de santé",
		spell_desc_ATTACK = "Permet d'infliger des dégâts à distance à une créature",
		spell_desc_COMBAT = "Améliore temporairement votre score de combat",
		spell_desc_OPENING = "Permet d'ouvrir une porte sans avoir la clé correspondante. Le sort peut être lancé à distance.",
		spell_desc_TRAPDETECTION = "Vous permet de repérer l'emplacement des pièges",
		interface_skills_text_paths="Choisissez une voie",
		interface_skills_text_attributes="Choisissez un attribut",
		interface_skills_text_abilities="Choisissez une capacité",
		interface_skills_text_spells="Choisissez un sort",
		interface_skills_text_access="Donne accès aux aptitudes ",
		interface_skills_text_access_spells="Donne accès aux sorts ",
		interface_skills_confirm="Confirmer",
		sheet_title="FEUILLE DE PERSONNAGE",
		sheet_charateristics="CARACTERISTIQUES",
		sheet_paths="VOIES",
		sheet_attributes="ATTRIBUTS",
		sheet_abilities="APTITUDES",
		sheet_spells="SORTS",
		sheet_health="Santé",
		sheet_combat="Combat",
		sheet_movement="Mouvement",
		sheet_mana="Mana",
		sheet_vision="Vision",
		sheet_stealth="Furtivité"
	},
	en = {
		menu_play = "New game",
		menu_load = "Continue game",
		menu_options = "Options",
		menu_credits = "Credits",
		menu_quit = "Quit",
		menu_continue = "Continue",
		menu_restart = "Restart",
		menu_quitlevel = "Quit",
		menu_quitgame = "Quit",
		menu_cancel = "Cancel",
		menu_confirm = "Confirm",
		menu_back = "Back",		
		menutitle_quitgame="Quit game ?",
		menutitle_quitlevel="Quit level ? Unsaved progress will be lost.",
		menutitle_language="Language",
		menutitle_options="Game options",
		menutitle_credits="Programming, graphics and music :\r\n Thierry Poveda\r\n\r\n3D characters designed by Miguel Zavala\r\n(AKA mz4250 on patreon.com)\r\n\r\nPolice Averia by Dan Sayers\r\nPolice BuryCaps by Peter S. Baker\r\n\r\nAll sounds are from freesound.org",
		menutitle_sound="Sound",
		menutitle_sound_volume="Effects",
		menutitle_music_volume="Music",
		menutitle_brightness="Brightness",
		interface_title_spells="Spells",
		interface_title_equipment="Equipment",
		msg_ennemykilled = "Ennemy killed",
		msg_ennemywounded = "Ennemy -1",
		msg_playerdead = "You died",
		msg_playerwounded = "You are wounded -1",
		msg_woundabsorbed = "Wound absorbed",
		msg_attackdodged = "Attaque esquivée !",
		msg_missed = "Missed !",
		msg_poisoned = "You have been poisoned !",
		msg_levelfinished="Level accomplished !!!",
		msg_fountainempty = "Fountain is empty",
		msg_healthfull = "Your health level is full",
		msg_manafull = "Your mana level is full",
		msg_lockblocked = "Impossible to pick",
		msg_trapdeactivated = "Trap deactivated",
		msg_trapblocked = "Impossible to deactivate",
		msg_casterror = "Impossible to cast spell",
		msg_healthtoolow = "Health too low",
		msg_notenoughmana = "Not enough mana",
		msg_teleport_failed = "Teleportation not possible",
		msg_poison_cured = "Effects of poisons removed",
		msg_nopoison = "You are not poisoned",
		card_zoom = "Enlarge",
		card_equip = "Equip",
		card_use= "Use",
		card_drop = "Drop",
		spell_cancel = "Cancel",
		spell_cast = "Cast",
		card_title_health="Potion of health",
		card_desc_health="Adds 1 heart to your health score",
		card_title_combat="Potion of strength",
		card_desc_combat="Adds 1 point to your combat score",
		card_title_mana="Potion of mana",
		card_desc_mana="Adds 1 point to your mana score",
		card_title_speed="Potion of speed",
		card_desc_speed="Adds 2 points to your movements",
		card_title_greenorb="Green orb",
		card_desc_orb="Activate mechanisms. Movement -1",
		card_title_sword="Quality sword",
		card_desc_sword="Adds 1 point to your combat score",
		card_title_speedboots="Speed boots",
		card_desc_speedboots="Adds 1 point to your movements",	
		card_title_scroll="Scroll",
		card_desc_scroll_ATTACK="Bolt\r\nAllows you to inflict ranged damage on a creature",
		card_desc_scroll_TELEPORTATION="Teleportation\r\nAllows you to teleport to a point of your choice",
		card_desc_scroll_OPENING="Door opening\r\nAllows you to open a door without having the corresponding key. The spell can be cast from a distance.",
		card_desc_scroll_TRAPDETECTION="Trap detection\r\nAllows you to spot the location of traps.",	
		card_title_torch="Torch",
		card_desc_torch="Enhances your vision",
		card_title_antidote="Antidote",
		card_desc_antidote="Removes the effects of all poisons.",
		card_skill_select="Select",
		word_gold = "gold",
		word_chestkey = "chest key",		
		word_cellkey = "cell key",
		word_health = "health",
		word_mana = "mana",
		word_combat = "combat",
		word_speed = "movement",
		word_stealth = "stealth",
		word_robustness = "robustness",
		hint_level1_pit = "Cells doors can be opened with iron keys.",
		hint_level2_chest="Chests can be opened with golden keys",
		hint_level2_health="Health fountains allow you to recover hit points",
		hint_level2_mana="Magic fountains allow you to recover mana points",
		hint_level2_mechanism="Mechanisms can be triggered with one or more orbs.",
		hint_level2_exit="A secret door has been opened ! Use the compass to find it.",
		hint_level3_mechanism = "Find three orbs to activate the mechanism.",
		hint_level3_boss = "The troll is in the dungeon ! Find him and destroy him.",
		hint_level5_exit="Find the exit",
		level_nextlevel = "Next level",
		level_startlevel = "Start",
		level_text_1="In ancient times, in a quiet and distant land,\r\nthe repeated disappearance of young people\r\ncauses concern and anger.\r\nIn the country, superstitions resurface,\r\nand sinister creatures from the past\r\ncome to life in the troubled minds of the people.\r\nIt is up to you to lift the veil.\r\nThe rumours take you to an abandoned hamlet,\r\nwhich the elders say is cursed.\r\nThis is where your adventure begins.",
		level_text_2="You rush down the dark tunnel,\r\nplunging into the darkness.\r\nClinging to the shaky ladder,\r\nyou feel the cold and the putrid smell\r\ngrowing as you descend.\r\nAs you reach the ground,\r\nominous growls reach your ears.",
		level_text_3="The master of the place is a creature\r\nformerly known as a troll.\r\nThere is no doubt that he is guilty of the events\r\nthat bring you to this dark place.\r\nPassed the imposing ancient portal,\r\nyou start to seek it out.",
		level_text_4="The prisoners were taken to the desert,\r\npromised to who knows what fateful fate.\r\nYou can make out in the night a massive citadel\r\nwith its imposing fortified outlines.\r\nIt seems completely abandoned,\r\nbut as you enter its walls,\r\nyou are alarmed by a sinister hissing sound.",
		level_text_5="As you enter the building,\r\nyou are surprised by the opulence of the place.\r\nThis ancient temple with its ochre facades\r\nseems dedicated to a forgotten god.\r\nIn the distance, the echoes of unhealthy activity\r\nenjoin you to be cautious.",
		level_start_1 = "Explore the ruins",
		level_start_2 = "Explore the dungeon",		
		level_start_3 = "Find the troll chief",	
		level_start_4 = "Explore the citadel",
		level_start_5 = "Explore the temple",
		level_end_1 = "Congratulations, you have found a pathway to the next level.",
		level_end_2 = "Congratulations, you have found an exit to the next level.",
		level_end_3 = "You killed the troll ! Now go to the desert",
		level_end_4 = "You have found the exit",
		level_end_5 = "Congratulations, you finished the demo",
		level_title_1 = "I-I The abandoned village",
		level_title_2 = "I-II In the dungeon",
		level_title_3 = "I-III The troll's lair",
		level_title_4 = "II-I The forgotten fortress",
		level_title_5 = "II-II The temple of fear",
		level_endgame = "Congratulations, you have completed the game.",
		skill_STRENGTH = "Strength",
		skill_GUILE = "Guile",
		skill_WISDOM = "Wisdom",
		skill_desc_STRENGTH = "Increases your combat score",
		skill_desc_GUILE = "Improves your stealth",
		skill_desc_WISDOM = "Gives you the ability to use magic",
		skill_CONSTITUTION = "Constitution",
		skill_AGILITY = "Agility",
		skill_MENTAL = "Mental",
		skill_desc_CONSTITUTION = "Increases your health",
		skill_desc_AGILITY = "Increases your movement score",
		skill_desc_MENTAL = "Increases your vision",
		skill_MELEE = "Melee",
		skill_ROBUSTNESS = "Robustness",
		skill_CHARGE = "Charge",
		skill_SUPPLENESS = "Suppleness",
		skill_DODGE_SA = "Dodge",
		skill_AMBIDEXTROUS = "Ambidextrous",
		skill_PAINCONTROL = "Pain control",
		skill_TACTICS = "Tactics",
		skill_ASSASSINATION = "Assassination",
		skill_VIGILANCE = "Vigilance",
		skill_BACKPACKER = "Backpacker",
		skill_LOCKPICKING = "Lockpicking",
		skill_DODGE_GA = "Suppleness",
		skill_TRAPDETECTION = "Trap detection",
		skill_TRAPDEACTIVATION = "Trap deactivation",
		skill_HEALTHREGENERATION = "Health regeneration",
		skill_DODGE_WA = "Dodge",
		skill_MANAREGENERATION = "Mana regeneration",
		skill_MECHANICS = "Mechanics",
		skill_desc_MELEE = "Improves your ability to defend when you are outnumbered",
		skill_desc_ROBUSTNESS = "Gives you 10% chance not to be wounded by successful ennemy attack",
		skill_desc_CHARGE = "Increases your chances of hitting the opponent when you attack him after a move",
		skill_desc_SUPPLENESS = "Improves your defense against rear attacks",
		skill_desc_DODGE_SA = "Improves your chances of avoiding the first blow of a fight",
		skill_desc_AMBIDEXTROUS = "Allows you to benefit from the bonuses linked to two weapons",
		skill_desc_PAINCONTROL = "Cancels the combat malus when you are seriously injured",
		skill_desc_TACTICS = "Improves your melee and assassination skills",
		skill_desc_ASSASSINATION = "Increases your bonus for attacks from behind",
		skill_desc_VIGILANCE = "Improves your defense against attacks from behind",
		skill_desc_BACKPACKER = "Allows you to carry an additional item",
		skill_desc_LOCKPICKING = "Allows you to try to open doors or chests without having the corresponding key",
		skill_desc_DODGE_GA = "Improves your chances of avoiding the first blow of a fight",
		skill_desc_TRAPDETECTION = "Allows you to spot the location of traps",
		skill_desc_TRAPDEACTIVATION = "Allows you to neutralize the traps",
		skill_desc_HEALTHREGENERATION = "Allows you to recover a health point after a certain number of turns",
		skill_desc_DODGE_WA = "Improves your chances of avoiding the first blow of a fight",
		skill_desc_MANAREGENERATION = "Allows you to recover a mana point after a certain number of turns",
		skill_desc_MECHANICS = "Improves your lockpicking and trap deactivation skills",
		spell_HEALING = "Healing",
		spell_ARMOR = "Shell",
		spell_SPEED = "Speed",
		spell_INVISIBILITY = "Invisibility",
		spell_TELEPORTATION = "Teleportation",
		spell_SACRIFICE = "Sacrifice",
		spell_ATTACK = "Bolt",
		spell_COMBAT = "Combat",
		spell_OPENING = "Door opening",
		spell_TRAPDETECTION = "Trap detection",
		spell_desc_HEALING = "Allows you to recover one health point",
		spell_desc_ARMOR = "Temporarily improves your robustness, giving you a chance to absorb ennemy hits.",
		spell_desc_SPEED = "Temporarily improves your speed score",
		spell_desc_INVISIBILITY = "Makes you temporarily invisible to enemies",
		spell_desc_TELEPORTATION = "Allows you to teleport to a point of your choice",
		spell_desc_SACRIFICE = "Allows you to recover one point of mana in exchange for one point of health",
		spell_desc_ATTACK = "Allows you to inflict ranged damage on a creature",
		spell_desc_COMBAT = "Temporarily improves your combat score",
		spell_desc_OPENING = "Allows you to open a door without having the corresponding key. The spell can be cast from a distance.",
		spell_desc_TRAPDETECTION = "Allows you to spot the location of traps",
		interface_skills_text_paths="Please choose a path",
		interface_skills_text_attributes="Please choose an attribute",
		interface_skills_text_abilities="Please choose an ability",
		interface_skills_text_spells="Please choose a spell",
		interface_skills_text_access="Gives access to the abilities ",
		interface_skills_text_access_spells="Gives access to the spells ",
		interface_skills_confirm="Confirm",
		sheet_title="CHARACTER SHEET",
		sheet_charateristics="CHARACTERISTICS",
		sheet_paths="PATHS",
		sheet_attributes="ATTRIBUTES",
		sheet_abilities="ABILITIES",
		sheet_spells="SPELLS",
		sheet_health="Health",
		sheet_combat="Combat",
		sheet_movement="Movement",
		sheet_mana="Mana",
		sheet_vision="Vision",
		sheet_stealth="Stealth"
	}
}

function lang.init(langcode)
	for var,val in pairs(lang[langcode]) do
		if var ~= 'langs' then
			lang[var] = val
		end
	end
end

return lang