local sprites = {}
function sprites.require_current_sprites(room,current_player_position)
   local current_sprites = {}   
   -- player
   current_sprites[current_player_position] = {}
   -- decor
   -- for non-interactive objects / set all on layer 1
   for _, item in pairs( room.decor ) do 
         item.tileset = rooms.level.tilesets.items
         current_sprites[item.position] = {}
         current_sprites[item.position][1] = item
   end
   -- items
   for _, item in pairs( room.items ) do 
         item.tileset = rooms.level.tilesets.items
         current_sprites[item.position] = {}
   		current_sprites[item.position][item.layer] = item
   end
   -- npcs
   for _, item in pairs( room.npcs ) do 
         item.tileset = rooms.level.tilesets.npcs
         if item.position then
            current_sprites[item.position] = {}
      		current_sprites[item.position][item.layer] = item
         else
            helper.log("--- Problème Création NPC ---")
            for k,v in pairs(item) do
               helper.log (k.." : "..tostring(v))
            end
         end
   end
   -- player
   current_sprites[current_player_position][rooms.level.special_items.player.layer] = rooms.level.special_items.player
   current_sprites[current_player_position][rooms.level.special_items.player.layer].direction = tiles.player_direction
   current_sprites[current_player_position][rooms.level.special_items.player.layer].tileset = "image_player"
   return current_sprites
end

return sprites